import utime as time
from aliyunIoT import Device
import ujson as json
from machine import Pin,ADC,PWM
import network

# wifi连接的的ssid和pwd定义
wifiSsid = "Wi-Fi SSID"
wifiPassword = "Wi-Fi 密码"

# 物联网平台相关的key和serect定义
ProductKey = 'ProductKey'
DeviceName = 'DeviceName'
DeviceSecret = 'DeviceSecret'

time.sleep(5)

wlan = network.WLAN(network.STA_IF)
wlan.active(True)
if(wlan.isconnected() == False):
    wlan.connect(wifiSsid, wifiPassword)
    while(wlan.isconnected() == False):
        time.sleep(1)

print('wifi connected')

dev = Device()
dev.connect({'deviceName': DeviceName, 'deviceSecret': DeviceSecret, 'productKey': ProductKey, 'keepaliveSec':60})

devConnected = False

def cb_lk_connect(data):
    global devConnected
    devConnected = True
    print('lk connect')

def cb_lk_disconnect(data):
    global devConnected
    devConnected = False
    print('lk disconnect')
    
def cb_lk_props(data):
    print(data)
    

dev.on(Device.ON_CONNECT, cb_lk_connect)
dev.on(Device.ON_DISCONNECT, cb_lk_disconnect)
dev.on(Device.ON_PROPS, cb_lk_props)

adc0 = ADC(Pin(36))
adc3 = ADC(Pin(39))
adc6 = ADC(Pin(34))
adc7 = ADC(Pin(35))
adc4 = ADC(Pin(32))
adc5 = ADC(Pin(33))

pwm2 = PWM(Pin(2))
pwm2 = PWM(Pin(2), freq=1000, duty=0)

while True:
    # 读取adc值
    props = json.dumps({
        'adc0':adc0.read(),
        'adc3':adc3.read(),
        'adc6':adc6.read(),
        'adc7':adc7.read(),
        'adc4':adc4.read(),
        'adc5':adc5.read(),
        })
    
    if(devConnected):
        dev.postProps({'params':props})
    
    time.sleep_ms(50)
